Delete profile

Deletes one profile. Only empty non-default profiles can be deleted; profiles with connected accounts must be cleaned up first.
https://api.unipost.dev
DELETE/v1/profiles/:profile_id
Authorization
In header ยท Bearer <token>
Path
string

Authorization

AuthorizationBearer <token>In header
Workspace API key.

Path Params

profile_idstring
Profile ID to delete.

Response Body

204
status204 No Content
Returned when the profile is deleted successfully.
401
error.codestring
Common values include "DEFAULT_PROFILE_PROTECTED", "PROFILE_NOT_EMPTY", and "NOT_FOUND".
error.normalized_codestring
Lowercase alias such as "default_profile_protected" or "profile_not_empty".
error.messagestring
Human-readable error message.
request_idstring
Request identifier for debugging and support.
404
error.codestring
Common values include "DEFAULT_PROFILE_PROTECTED", "PROFILE_NOT_EMPTY", and "NOT_FOUND".
error.normalized_codestring
Lowercase alias such as "default_profile_protected" or "profile_not_empty".
error.messagestring
Human-readable error message.
request_idstring
Request identifier for debugging and support.
409
error.codestring
Common values include "DEFAULT_PROFILE_PROTECTED", "PROFILE_NOT_EMPTY", and "NOT_FOUND".
error.normalized_codestring
Lowercase alias such as "default_profile_protected" or "profile_not_empty".
error.messagestring
Human-readable error message.
request_idstring
Request identifier for debugging and support.
500
error.codestring
Common values include "DEFAULT_PROFILE_PROTECTED", "PROFILE_NOT_EMPTY", and "NOT_FOUND".
error.normalized_codestring
Lowercase alias such as "default_profile_protected" or "profile_not_empty".
error.messagestring
Human-readable error message.
request_idstring
Request identifier for debugging and support.